io.vertx.rxjava3.ext.auth.oauth2.providers

## Class GiteeAuth

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.oauth2.providers.GiteeAuth

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class GiteeAuth
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Simplified factory to create an for Gitee.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GiteeAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GiteeAuth(GiteeAuth delegate)`
    `GiteeAuth(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for Gitee
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Gitee
    `boolean` | `equals(Object o)`
    `GiteeAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static GiteeAuth` | `newInstance(GiteeAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GiteeAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### GiteeAuth

          public GiteeAuth(GiteeAuth delegate)

    - #### GiteeAuth

          public GiteeAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GiteeAuth getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for Gitee
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Gitee
        `clientSecret` - the client secret given to you by Gitee
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Gitee
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Gitee
        `clientSecret` - the client secret given to you by Gitee
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static GiteeAuth newInstance(GiteeAuth arg)

Copyright © 2025 Eclipse. All rights reserved.